#!/usr/bin/env Rscript
args = commandArgs(trailingOnly = TRUE)

# Author: N.Pérez-Zanón 26th July 2021
# execution: Rscript OperationalCS.R conf_user.yml recipe.yml
# This code should process and check the recipe and build the workflow
print(args)
library(yaml)

# To test:
# args <- NULL; args[1] <- "recipes/seasonal_oper.yml"
# args <- NULL; args[1] <- "recipes/seasonal_complex.yml"

recipe <- read_yaml(args[1])
recipe$filename <- args[1]

# Load required libraries
source("tools/libs.R")

# Create output folder and log:
logger <- prepare_outputs(recipe = recipe) 
log_file <- logger$logname
logger <- logger$logger

# Checks:
check_conf(conf, file = args[1], logger) 
verifications <- check_recipe(recipe, file = args[2], conf, logger) 
# Divide recipe into single verifications recipes:
total_recipes <- divide_recipe(recipe, verifications, folder, logger)
 
# Go to verification code: 
capture.output(source("modules/verifications.R"), 
               file = log_file, type ='message',
               append = TRUE)


