
get_regrid_params <- function(recipe){

  if (tolower(recipe$Analysis$Regrid$type) == 'reference') {

    regrid_params <- list(fcst.gridtype=reference_descrip$regrid,
                          fcst.gridmethod=recipe$Analysis$Regrid$method,
                          fcst.tranform=CDORemapper,
                          obs.gridtype=NULL,
                          obs.gridmethod=NULL,
                          obs.tranform=NULL)

  } else if (tolower(recipe$Analysis$Regrid$type) == 'system') {

    regrid_params <- list(fcst.gridtype=NULL,
                          fcst.gridmethod=NULL,
                          fcst.tranform=NULL,
                          obs.gridtype=dataset_descrip$regrid,
                          obs.gridmethod=recipe$Analysis$Regrid$method,
                          obs.tranform=CDORemapper)

  } else {

    regrid_params <- list(fcst.gridtype=reference_descrip$regrid,
                          fcst.gridmethod=recipe$Analysis$Regrid$method,
                          fcst.tranform=CDORemapper,
                          obs.gridtype=dataset_descrip$regrid,
                          obs.gridmethod=recipe$Analysis$Regrid$method,
                          obs.tranform=CDORemapper)
  }

  return(regrid_params)

}


